//	fgets()特化型クラス

#ifndef __MyuFgets_H__
#define __MyuFgets_H__

#include <stdio.h>
//#include "auto_fp.h"
#include "mslfile.h"

//	クラス宣言
class CMyuFgets : protected msl::auto_fp
{
protected:

public:
	//	コンストラクタ・デストラクタ
	CMyuFgets(){}
	virtual ~CMyuFgets(){}
	
	//	開く
	bool Open( const char* szFileName, const char* szMode="r" ){
		return auto_fp::open(szFileName,szMode); }
	void Close(){ auto_fp::close(); }

	//	fgets()
	char* Fgets( char *szStrOut, int nBufSize ){
		if ( auto_fp::get() == NULL )
			return NULL;
		return fgets( szStrOut, nBufSize, auto_fp::get() );
	}
};

#endif//__MyuFgets_H__
